dnsjit.core.object.linuxsll2(3)

NAME
dnsjit.core.object.linuxsll2 - Linux cooked-mode v2 capture (SLL2) part of a packet

DESCRIPTION
The SLL2 part of a packet that usually can be found in the object chain after parsing with, for example, Layer filter.

  Attributes

protocol_type
    The protocol type.

reserved
    Reserved (MBZ).

interface_index
    The interface index, on the machine on which the capture is done, of the interface on which the packet was sent or received.

arphrd_type
    The link-layer device type.

packet_type
    The packet type.

link_layer_address_length
    The length of the link-layer address.

link_layer_address
    The link-layer address.

  Functions

Linuxsll2:type()
    Return the textual type of the object.

Linuxsll2:prev()
    Return the previous object.

Linuxsll2:cast()
    Cast the object to the underlining object module and return it.

Linuxsll2:uncast()
    Cast the object to the generic object module and return it.

Linuxsll2:copy()
    Make a copy of the object and return it.

Linuxsll2:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3). dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net